\documentclass[12pt]{article}
\usepackage{graphicx}
\usepackage{times}
\usepackage[colorlinks,citecolor=red,urlcolor=red]{hyperref}
\usepackage{amssymb}
\usepackage{hyperref}
\usepackage{amsmath}
\usepackage[margin=2cm]{geometry}

\newcommand{\solution}{\centerline{\em Solution}}
\newcommand{\bs}[1]{\boldsymbol #1}

\usepackage{import}

%\input{macros.ltx}

\pagestyle{empty}

\begin{document}

\centerline{%
 \begin{tabular}{|l||c|c|c|c||c|}
 \hline
\bf Name & 
 \small 1 & \small 2 & \small 3 & \small 4 & \small $\Sigma$ \\ 
   \hline
\hspace{104mm} & 
\hspace{8mm} & \hspace{8mm} & \hspace{8mm} & \hspace{8mm} & \\[12mm] 
\hline
\end{tabular}
}

\begin{center}
\medskip
\framebox{\large \sc K132~NAS Final Exam~(5 January 2022)}
\medskip
\end{center}

%\vfill

\paragraph{Problem~1~(10 points)}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
Determine the stiffness matrix for one-dimensional finite element
element for 1D elasticity problem with linearly varying cross-section area. Use
quadratic basis functions. The integral does not have to be evaluated. 
%
\begin{center}
 \def\svgwidth{.75\textwidth}
 \import{questions/}{1DEL_04-src.pdf_tex}
\end{center}

\vfill

\paragraph{Problem~2~(10 points)}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
Determine the unknown temperature at node $\bf 2$ for the given structure discretized with two linear two-node elements. The coefficient of thermal conductivity $\lambda = 2$~Wm$^{-1}$K$^{-1}$ and the boundary conditions correspond to the prescribed temperature The structure is subjected to a distributed source of constant intensity $\overline{Q}$.
%
\begin{center}
 \def\svgwidth{.325\textwidth}
 \import{questions/}{1DHC_04-src.pdf_tex}
\end{center}

\vfill

\paragraph{Problem~3~(10 points)}
%%%%%%%%%%%%%%%%%%%%%%%
%
Determine the temperature at node $\bf 2$, utilizing two linear two-node elements as shown below. Each element has the same thermal conductivity $\lambda$.

\begin{center}
 \def\svgwidth{.6\textwidth}
 \import{questions/}{2DHC_04-src.pdf_tex}
\end{center}

\vfill

\clearpage

\paragraph{Problem~4~(10 points)}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
Answer the following questions:
%
\begin{enumerate}
\item Explain the difference between the plane strain and plane stress,

\item The stiffness matrix of a linear triangular element (a.k.a constant Strain Triangle) is given by 
%
$$
\mathbf{K}^e = A^e \left( \mathbf{B}^e \right)^T 
\mathbf{D}^e
\mathbf{B}^e.
$$
%
Explain the meaning of the individual symbols and indicate their dimensions.

\item When using a finite element code, you have an option of discretizing your structure using triangular elements with 7 nodes. What are the dimensions~(i.e. the number of rows and columns) of the corresponding stiffness matrix?

\item Which distribution of stresses you would expect for finite elements with quadratic basis functions? And why? 

\end{enumerate}

\begin{center}
\medskip
\framebox{\large \sc Good Luck!}
\medskip
\end{center}

\end{document}
